Skip to main content
POST
/
v1
/
sandbox
/
reports
/
{id}
/
fire_webhook
Fire a sandbox webhook
curl --request POST \
  --url https://api.swippee.com/v1/sandbox/reports/{id}/fire_webhook \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "event": "report.ready",
  "error_code": "TAMPER_DETECTED"
}
'
{
  "fired": "<string>",
  "report_id": "<string>",
  "environment": "<string>"
}

Authorizations

Authorization
string
header
required

Your API key from the dashboard, sent as Authorization: Bearer swippee_sk_live_....

Path Parameters

id
string
required

Body

application/json
event
enum<string>
default:report.ready
Available options:
report.ready,
report.failed
error_code
string

On report.failed, the error_code to include.

Example:

"TAMPER_DETECTED"

Response

Delivery fired

fired
string
report_id
string
environment
string